PHP Manual
Prev |  | Next

# Z_BVAL

Z_BVAL -- Return a zval lval element as bool

## Description

#include <zend_operators.h>

zend_bool Z_BVAL ( zval zv )

Z_BVAL() returns the lval element of zv casted to zend_bool.

## Parameters

zv

  The zval structure to extract the resut value from.

## Return Values

The lval element of zv casted to a zend_bool which is either `TRUE` or `FALSE`.

## See Also

See Z_BVAL_P() and Z_BVAL_P() for other macros that access the lval field of a zval as zend_bool.

For macros that extract other values from a zval ** see Z_ARRVAL(), Z_BINLEN(), Z_BINVAL(), , Z_DVAL(), Z_LVAL(), Z_OBJCE(), Z_OBJ_HANDLE(), Z_OBJ_HANDLER(), Z_OBJ_HT(), Z_OBJPROP(), Z_OBJVAL(), Z_RESVAL(), Z_STRLEN(), Z_STRVAL(), Z_TYPE(), Z_UNILEN(), Z_UNIVAL(), Z_USTRCPLEN(), Z_USTRLEN(), and Z_USTRVAL().

Prev | Home | Next
Z_BVAL_PP | Up | Z_DBG